package cokr.xit.fims.cmmn.hwp.format;

import java.util.ArrayList;
import java.util.List;

import cokr.xit.applib.Print;
import cokr.xit.applib.hwp.format.HWPFormat;
import cokr.xit.fims.cmmn.FimsPrintOption;
import cokr.xit.foundation.data.DataObject;

public class DlbrDecsnList extends HWPFormat {

	public DlbrDecsnList(Print print, FimsPrintOption printOption, List<DataObject> dataObjectList) {
		super(print, printOption, dataObjectList);
		this.maxRunCount = dataObjectList.size();
		this.formatFilePath = "template/hwp/opnnDlbrDecsnForm.hwp";
		this.print.setFormatKorName("의견제출심의결의서");
		this.print.setFormatName("dlbrDecsnList");
	}

	@Override
	public List<String> getDownloadDataNames() {
		List<String> list = new ArrayList<>();
		list.add("접수번호");
		list.add("접수일");
		list.add("위반정보");
		list.add("진술자명");
		list.add("진술자생년월일");
		list.add("소유주관계");
		list.add("진술자주소");
		list.add("진술자연락처");
		list.add("차량번호");
		list.add("단속일시");
		list.add("단속장소");
		list.add("의견체출내용");
		return list;
	}



	@Override
	public void runAsWriter() {

		DataObject one = data.get(currentRunCount);

		writer.setValue("접수번호", one.string("RCPT_NO_MASK"));
		writer.setValue("접수일", one.string("RCPT_YMD_MASK"));
		writer.setValue("위반정보", one.string("TASK_SE_NM"));
		writer.setValue("진술자명", one.string("STTR_NM"));
		writer.setValue("진술자생년월일", one.string("STTR_BRDT_MASK"));
		writer.setValue("진술자연락처", one.string("STTR_CTTPC"));
		writer.setValue("소유주관계", one.string("OWNR_REL_NM"));
		writer.setValue("진술자주소", one.string("STTR_WHOL_ADDR"));
		writer.setValue("차량번호", one.string("VHRNO"));
		writer.setValue("단속일시", one.string("CRDN_YMD_TM_MASK"));
		writer.setValue("단속장소", one.string("CRDN_PLC"));
		writer.setValue("의견제출내용", one.string("OPNN_SBMSN_CN"));
		writer.setValue("심의회원직급1", one.string("DLBR_MBR_JBGD1"));
		writer.setValue("심의회원명1", one.string("DLBR_MBR_NM1"));
		writer.setValue("심의회원직급2", one.string("DLBR_MBR_JBGD2"));
		writer.setValue("심의회원명2", one.string("DLBR_MBR_NM2"));
		writer.setValue("심의회원직급3", one.string("DLBR_MBR_JBGD3"));
		writer.setValue("심의회원명3", one.string("DLBR_MBR_NM3"));
		writer.setValue("심의회원직급4", one.string("DLBR_MBR_JBGD4"));
		writer.setValue("심의회원명4", one.string("DLBR_MBR_NM4"));
		writer.setValue("심의회원직급5", one.string("DLBR_MBR_JBGD5"));
		writer.setValue("심의회원명5", one.string("DLBR_MBR_NM5"));
		writer.setValue("심의회원직급6", one.string("DLBR_MBR_JBGD6"));
		writer.setValue("심의회원명6", one.string("DLBR_MBR_NM6"));
		writer.setValue("심의회원직급7", one.string("DLBR_MBR_JBGD7"));
		writer.setValue("심의회원명7", one.string("DLBR_MBR_NM7"));
		writer.setValue("담당자검토의견", one.string("PIC_RVW_OPNN"));


	}

}
